> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Room Config

> Get info about a room



## OpenAPI

````yaml GET /rooms/{room_name}
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /rooms/{room_name}:
    get:
      tags:
        - rooms
      summary: rooms/:name
      description: Get info about a room
      operationId: GetRoomConfig
      parameters:
        - name: room_name
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rooms-room_name-get-res'
              examples:
                Result:
                  value:
                    id: d61cd7b2-a273-42b4-89bd-be763fd562c1
                    name: w2pp2cf4kltgFACPKXmX
                    api_created: false
                    privacy: public
                    url: https://api-demo.daily.co/w2pp2cf4kltgFACPKXmX
                    created_at: '2019-01-26T09:01:22.000Z'
                    config:
                      start_video_off: true
        '400':
          $ref: '#/components/responses/400'
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    rooms-room_name-get-res:
      type: object
      properties:
        id:
          type: string
          example: d61cd7b2-a273-42b4-89bd-be763fd562c1
        name:
          type: string
          example: w2pp2cf4kltgFACPKXmX
        api_created:
          type: boolean
          example: false
          default: true
        privacy:
          type: string
          example: public
        url:
          type: string
          example: https://api-demo.daily.co/w2pp2cf4kltgFACPKXmX
        created_at:
          type: string
          example: '2019-01-26T09:01:22.000Z'
        config:
          type: object
          properties:
            nbf:
              type: integer
              format: int32
              description: >-
                "Not before". This is a [unix
                timestamp](https://stackoverflow.com/questions/20822821/what-is-a-unix-timestamp-and-why-use-it)
                (seconds since the epoch.) Users cannot join a meeting in this
                room before this time.
            exp:
              type: integer
              format: int32
              description: >-
                "Expires". This is a unix timestamp (seconds since the epoch.)
                Users cannot join a meeting in this room after this time.


                More resources:

                - [Add advanced security to video chats with the Daily
                API](https://www.daily.co/blog/add-advanced-security-features-to-video-chats-with-the-daily-api/)
            max_participants:
              type: integer
              format: int32
              description: >-
                How many people are allowed in a room at the same time.


                ⚠️ [Contact us](https://www.daily.co/contact) if you need to set
                the limit above 200.
              x-paidPlan: paid
              default: 200
            enable_people_ui:
              type: boolean
              description: >-
                Determines if [Daily Prebuilt](/guides/products/prebuilt)
                displays the People UI. When set to true, a People button in the
                call tray reveals a People tab in the call sidebar. The tab
                lists all participants, and next to each name indicates audio
                status and an option to pin the participant. When
                `enable_people_ui` is set to false, the button and tab are
                hidden.


                ⚠️ Has no effect on custom calls built on the Daily [call
                object](/guides/products/call-object).
            enable_cpu_warning_notifications:
              type: boolean
              description: >-
                Determines if [Daily Prebuilt](/guides/products/prebuilt)
                displays CPU warning notifications. When set to true, snackbar
                notifications appear when high CPU usage is detected. When set
                to false, these notifications are hidden.


                ⚠️ This flag only applies to Daily Prebuilt. It has no effect
                when building custom video applications with the Daily call
                object.
            enable_pip_ui:
              type: boolean
              description: >-
                Sets whether the room can use [Daily
                Prebuilt](https://www.daily.co/prebuilt)'s Picture in Picture
                controls. When set to `true`, an additional button will be
                available in Daily Prebuilt's UI to toggle the Picture in
                Picture feature.


                ⚠️ This flag only applies to Daily Prebuilt. It has no effect
                when building custom video applications with the Daily call
                object.
            enable_emoji_reactions:
              type: boolean
              description: >-
                Determines if [Daily Prebuilt](https://www.daily.co/prebuilt)
                displays the Emoji Reactions UI. When set to `true`, a Reactions
                button appears in the call tray. This button allows users to
                select and send a reaction into the call. When set to `false`,
                the Reactions button is hidden and the feature is disabled.


                Usage: This feature is a good fit for meetings when a host or
                presenter would benefit from receiving nonverbal cues from the
                audience. It's also great to keep meetings fun.


                ⚠️ This flag only applies to Daily Prebuilt. It has no effect
                when building custom video applications with the Daily call
                object.
            enable_hand_raising:
              type: boolean
              description: >-
                Sets whether the participants in the room can use [Daily
                Prebuilt](https://www.daily.co/prebuilt)'s hand raising
                controls. When set to `true`, an additional button will be
                available in Daily Prebuilt's UI to toggle a hand raise.


                ⚠️ This flag only applies to Daily Prebuilt. It has no effect
                when building custom video applications with the Daily call
                object.
            enable_prejoin_ui:
              type: boolean
              description: >-
                Determines whether participants enter a waiting room with a
                camera, mic, and browser check before joining a call.


                ⚠️ You must be using [Daily Prebuilt](https://daily.co/prebuilt)
                to use `enable_prejoin_ui`.
            enable_live_captions_ui:
              type: boolean
              description: >-
                Sets whether participants in a room see a closed captions button
                in their Daily Prebuilt call tray. When the closed caption
                button is clicked, closed captions are displayed locally.


                When set to `true`, a closed captions button appears in the call
                tray. When set to `false`, the closed captions button is hidden
                from the call tray.


                Note: Transcription must be enabled for the room or users must
                have permission to start transcription for this feature to be
                enabled. View the [transcription
                guide](/guides/products/transcription) for more details.


                ⚠️ You must be using [Daily
                Prebuilt](https://daily.co/blog/daily-prebuilt-video-chat) to
                use `enable_live_captions_ui`.
            enable_network_ui:
              type: boolean
              description: >-
                Determines whether the network button, and the network panel it
                reveals on click, appears in this room.


                ⚠️ You must be using [Daily Prebuilt](https://daily.co/prebuilt)
                to use `enable_network_ui`.
            enable_noise_cancellation_ui:
              type: boolean
              description: >-
                Determines whether Daily Prebuilt displays noise cancellation
                controls. When set to `true`, a participant can enable
                microphone noise cancellation during a Daily Prebuilt call.

                ⚠️ This flag only applies to [Daily
                Prebuilt](https://daily.co/prebuilt). It has no effect when
                building custom video applications with the Daily call object.
                To learn more about adding noise cancellation to a custom
                application, see the [`updateInputSettings()`
                docs](/products/daily-js/instance-methods/update-input-settings).
            enable_breakout_rooms:
              type: boolean
              description: >-
                Sets whether [Daily Prebuilt](https://www.daily.co/prebuilt)’s
                breakout rooms feature is enabled. When set to `true`, an owner
                in a Prebuilt call can create breakout rooms to divide
                participants into smaller, private groups. 


                ⚠️ You must be using [Daily
                Prebuilt](https://daily.co/blog/daily-prebuilt-video-chat) to
                use `enable_breakout_rooms`.


                ⚠️ This property is in beta.
            enable_knocking:
              type: boolean
              description: >-
                Turns on a lobby experience for private rooms. A participant
                without a corresponding [meeting
                token](/products/rest-api/meeting-tokens/config) can request to
                be admitted to the meeting with a "knock", and wait for the
                meeting owner to admit them.
            enable_screenshare:
              type: boolean
              default: true
              description: >-
                Sets whether users in a room can screen share during a session.
                This property cannot be changed after a session starts. For
                dynamic control over permissions, use the
                [`updateParticipant()`](/products/daily-js/instance-methods/update-participant#param-update-permissions)
                method to control user permissions.
            enable_video_processing_ui:
              type: boolean
              default: true
              description: >-
                Determines whether Daily Prebuilt displays background blur
                controls. When set to `true`, a participant can enable blur
                during a Daily Prebuilt call.


                ⚠️ This flag only applies to Daily Prebuilt. It has no effect
                when building custom video applications with the Daily call
                object.
            enable_chat:
              type: boolean
              default: false
              description: >-
                This property is one of [multiple ways to add chat to Daily
                video
                calls](https://www.daily.co/blog/three-ways-to-add-chat-to-your-video-calls-with-the-daily-api/).
            enable_shared_chat_history:
              type: boolean
              default: true
              description: >-
                When enabled, newly joined participants in Prebuilt calls will
                request chat history from remote peers, in order to view chat
                messages from before they joined.
            start_video_off:
              type: boolean
              default: false
              description: >-
                Disable the default behavior of automatically turning on a
                participant's camera on a direct `join()` (i.e. without
                `startCamera()` first).
            start_audio_off:
              type: boolean
              default: false
              description: >-
                Disable the default behavior of automatically turning on a
                participant's microphone on a direct `join()` (i.e. without
                `startCamera()` first).
            enable_recording:
              description: Jump to [recording docs](/products/rest-api/recordings).
              oneOf:
                - type: string
                  enum:
                    - cloud
                    - cloud-audio-only
                    - local
                    - raw-tracks
                - type: array
                  uniqueItems: true
                  items:
                    type: string
                    enum:
                      - cloud
                      - cloud-audio-only
                      - local
                      - raw-tracks
            enable_raw_tracks_transcoded_audio:
              type: string
              enum:
                - aac
                - wav
                - wav-48k
                - wav-48k-stereo
                - wav-48k-mono
                - wav-44k1
                - wav-44k1-stereo
                - wav-44k1-mono
                - ''
              description: >-
                Enable gapless transcoded audio for `raw-tracks` recordings.
                When set, each participant's audio track is decoded, gaps (muted
                mic, idle periods, packet loss) are filled with silence, and the
                track is re-encoded as a continuous file. Affects audio tracks
                only; video tracks still record as `.webm`. Can be set on a room
                or domain, and a room value takes priority over the domain
                value.


                Supported values:


                * `aac`: AAC at 160 kbps, 48 kHz stereo, in an MP4 container.

                * `wav-48k-stereo` (aliases `wav` and `wav-48k`): 16-bit PCM
                WAV, 48 kHz stereo.

                * `wav-48k-mono`: 16-bit PCM WAV, 48 kHz mono.

                * `wav-44k1-stereo` (alias `wav-44k1`): 16-bit PCM WAV, 44.1 kHz
                stereo.

                * `wav-44k1-mono`: 16-bit PCM WAV, 44.1 kHz mono.


                Leave unset to keep the default Opus audio in a `.webm`
                container. See the [recording
                guide](/docs/guides/features/recording#gapless-transcoded-audio).
            eject_at_room_exp:
              type: boolean
              default: false
              description: >-
                If there's a meeting going on at room `exp` time, end the
                meeting by kicking everyone out. This behavior can be overridden
                by setting `eject` properties of a [meeting
                token](/products/rest-api/meeting-tokens).
            eject_after_elapsed:
              type: integer
              format: int32
              description: >-
                Eject a meeting participant this many seconds after the
                participant joins the meeting. You can use this is a default
                length limit to prevent long meetings. This can be overridden by
                setting `eject` properties of a [meeting
                token](/products/rest-api/meeting-tokens).
            enable_advanced_chat:
              type: boolean
              description: >-
                Property that gives end users a richer chat experience. This
                includes:


                * Emoji reactions to chat messages

                * Emoji picker in the chat input form

                * Ability to send a Giphy chat message


                ⚠️ This flag only applies to Daily Prebuilt. It has no effect
                when building custom video applications with the Daily call
                object.
              default: false
            enable_hidden_participants:
              type: boolean
              description: >-
                When enabled, non-owner users join a meeting with a hidden
                presence, meaning they won't appear as a named participant in
                the meeting and have no [participant
                events](/reference/daily-js/events/participant-events)
                associated to them. Additionally, these participants can _only_
                receive media tracks from owner participants.


                Hidden participants can be tracked using the
                [`participantCounts()`](/products/daily-js/instance-methods/participant-counts)
                method. Hidden participants do _not_ have entries in the
                [`participants()`](/products/daily-js/instance-methods/participants)
                method return value.


                When used with [Daily Prebuilt](/guides/products/prebuilt),
                hidden participants are included in the participant count
                available in the UI; however, are _not_ included in the People
                panel and can only read chat messages.


                This property should be used to support hosting large meetings.
                See our [guide on interactive live
                streaming](/guides/scaling-calls/interactive-live-streaming-rtmp-output#interactive-live-streaming-up-to-100-000-participants)
                for additional instruction.
              default: false
            enable_mesh_sfu:
              $ref: '#/components/schemas/enable_mesh_sfu'
            sfu_switchover:
              $ref: '#/components/schemas/sfu_switchover'
            enable_adaptive_simulcast:
              $ref: '#/components/schemas/enable_adaptive_simulcast'
            enable_multiparty_adaptive_simulcast:
              $ref: '#/components/schemas/enable_multiparty_adaptive_simulcast'
            enforce_unique_user_ids:
              $ref: '#/components/schemas/enforce_unique_user_ids'
            experimental_optimize_large_calls:
              type: boolean
              description: >-
                Enables Daily Prebuilt to support group calls of over 1,000
                participants.


                When set to true, Daily Prebuilt will:

                - Automatically mute the local user on joining

                - Update grid view to show a maximum of 12 users in the grid at
                a time

                - Allow only 16 users to be unmuted at the same time. When more
                than 16 users are unmuted, the oldest active speaker will be
                automatically muted.


                See our [guide on large real-time
                calls](/guides/scaling-calls/large-real-time-calls) for
                additional instruction.


                ⚠️ This flag only applies to Daily Prebuilt. It has no effect
                when building custom video applications with the Daily call
                object.
            lang:
              type: string
              description: >-
                The default language of the [Daily prebuilt video call
                UI](/guides/products/prebuilt#daily-prebuilt-ui), for this room.


                Setting the language at the room level will override any
                domain-level language settings you have.


                `*` Norwegian `"no"` and Russian `"ru"` are only available in
                the new Daily Prebuilt.


                See [language settings](/products/prebuilt/language) for all
                supported values and priority order.
              enum:
                - da
                - de
                - en
                - es
                - fi
                - fr
                - it
                - jp
                - ka
                - nl
                - 'no'
                - pt
                - pt-BR
                - pl
                - ru
                - sv
                - tr
                - user
              default: en
            meeting_join_hook:
              type: string
              description: >-
                Sets a URL that will receive a webhook when a user joins a room.
                Default is NULL. Character limit for webhook URL is 255.


                ⚠️ In place of the `meeting_join_hook`, we recommend setting up
                a [webhook](/products/rest-api/webhooks) and listening for the
                [`participant.joined`](/products/rest-api/webhooks/events/participant-joined)
                event.
            geo:
              $ref: '#/components/schemas/geo'
            rtmp_geo:
              $ref: '#/components/schemas/rtmp_geo'
            disable_rtmp_geo_fallback:
              $ref: '#/components/schemas/disable_rtmp_geo_fallback'
            recordings_bucket:
              $ref: '#/components/schemas/recordings_bucket'
            enable_terse_logging:
              $ref: '#/components/schemas/enable_terse_logging'
            auto_transcription_settings:
              $ref: '#/components/schemas/auto_transcription_settings'
            enable_transcription_storage:
              $ref: '#/components/schemas/enable_transcription_storage'
            transcription_bucket:
              $ref: '#/components/schemas/transcription_bucket'
            recordings_template:
              $ref: '#/components/schemas/recordings_template'
            transcription_template:
              $ref: '#/components/schemas/transcription_template'
            enable_dialout:
              type: boolean
              default: false
              description: >-
                Allow
                [dialout](/products/daily-js/instance-methods/start-dial-out)
                API from the room.
            dialout_config:
              type: object
              description: >-
                Allow configuring
                [dialout](/products/daily-js/instance-methods/start-dial-out)
                behaviour.
              properties:
                allow_room_start:
                  type: boolean
                  description: >-
                    Setting this to true allows starting the room and initiating
                    the dial-out even though there is no user present in the
                    room. By default, initiating a
                    [dial-out](/products/rest-api/rooms/dialout/start) via the
                    REST API fails when the corresponding room is empty (without
                    any participant).
                  default: false
                dialout_geo:
                  type: string
                  description: >-
                    The region where SFU is selected to start the room. default
                    is taken from [`room
                    geo`](/products/rest-api/rooms/config#geo) else from
                    [`domain geo`](/products/rest-api/your-domain/config#geo)
                    and if both are not defined `us-west-2` is take as default.
                  example: ap-south-1
                max_idle_timeout_sec:
                  type: number
                  default: 0
                  description: >-
                    Number of seconds where dialout user can be alone in the
                    room. dialout user can start the room and can remain in the
                    room alone waiting for other participant for this duration,
                    also when all the web users leave the room, room is
                    automatically closed, this property allows dialout user to
                    remain in room after all web users leave the room.
            streaming_endpoints:
              type: array
              description: >-
                An array of stream endpoint configuration objects, which allows
                configurations to be pre-defined without having to pass them
                into
                [`startLiveStreaming()`](/products/daily-js/instance-methods/start-live-streaming)
                at runtime. For example, an RTMP endpoint can be set up for
                YouTube as a `streaming_endpoints` configuration along with
                another configuration for HLS storage.


                HLS output can only be stored on a customer's S3, not in Daily's
                storage infrastructure. The stream configuration defines which
                S3 bucket to store the HLS output. (See the [S3 bucket
                guide](/guides/products/live-streaming-recording/storing-recordings-in-a-custom-s3-bucket)
                for more information.)


                Example:


                ```json


                {
                  "properties": {
                    // ... add additional room properties here
                    "streaming_endpoints": [
                      {
                        "name": "rtmp_youtube",
                        "type": "rtmp",
                        "rtmp_config": {
                          "url": "rtmps://exampleYouTubeServer.com:443/stream"
                        }
                      },

                      {
                        "name": "rtmp_ivs",
                        "type": "rtmp",
                        "rtmp_config": {
                          "url": "rtmps://811111111111.global-contribute.live-video.net:443/app/"
                        }
                      },

                      {
                        "name": "hls_akamai",
                        "type": "hls",
                        "hls_config": {
                        "save_hls_recording": true/false,
                          "storage": {
                            "bucket_name": "daily-hls-streams",
                            "bucket_region": "us-west-2",
                            "assume_role_arn": "arn:aws:iam::999999999999:role/DailyS3AccessRole",
                            "path_template": "testHarness/{live_streaming_id}/{instance_id}"
                          },
                          "variant" : [
                              {
                                "width": 1920,
                                "height": 1080,
                                "fps": 30,
                                "bitrate": 3500,
                                "iframe_only": false
                              },
                              {
                                "width": 1280,
                                "height": 720,
                                "fps": 30,
                                "bitrate": 2500,
                                "iframe_only": false
                              },
                              {
                                "width": 640,
                                "height": 360,
                                "fps": 30,
                                "bitrate": 780,
                                "iframe_only": true
                              }
                          ]
                        }
                      }
                    ]
                  }
                }

                ```


                To reset the `streaming_endpoints` property, pass `null` instead
                of an array.


                When calling `startLiveStreaming()`, the pre-defined
                `streaming_endpoints` `name` can be used:


                ```javascript

                await callObject.startLiveStreaming({
                  endpoints: [{"endpoint":"rtmp_youtube"},{"endpoint":"rtmp_fb"}],
                  width: 1280,
                  height: 720,
                });

                ```

                Properties:
              items:
                type: object
                properties:
                  name:
                    type: string
                    description: >-
                      Used by the `startLiveStreaming()` API to reference which
                      stream configuration to start.
                    example: rtmp_ivs
                  type:
                    type: string
                    description: Whether the streaming endpoint is `rtmp` or `hls`.
                    example: hls
                  hls_config['storage']['path']:
                    type: string
                    description: >-
                      The `s3Key` path prefix for where to store the recordings.
                      Therefore, the final final master.m3u8 path template is
                      `<bucket_name>/<path>/<mtgSessionId>/master.m3u8`, i.e.
                      `hls_config['storage']['bucket_name']/hls_config['storage']['path']/<mtgSessionId>/master.m3u8`.
                    example: my-bucket-name/my-folder-name
                    deprecated: true
                  hls_config['storage']['path_template']:
                    type: string
                    description: >-
                      `path_template` is made up of a replacement string with
                      prefixes, suffixes, or both. `path_template` without
                      replacement string is also valid. The currently supported
                      replacements are:
                        - `epoch_time`: The epoch time in seconds (optional)
                        - `domain_name`: Your Daily domain (optional)
                        - `room_name`: The name of the room which is getting recorded (optional)
                        - `mtg_session_id`: The ID of the meeting session which is getting recorded (optional)
                        - `instance_id`: The instance ID of the recording (optional)
                        - `live_streaming_id`: The ID of the live streaming in our DB (optional)

                        The restrictions for defining a recording template are as follows:
                        - The maximum size of the template is 1024 characters
                        - Each replacement parameter should be placed within a curly bracket (e.g., `{domain_name}`)
                        - Only alphanumeric characters `(0-9, A-Z, a-z)` and `.`, `/`, `-`, `_` are valid within the template

                      Examples

                      - Example domain: "myDomain"

                      - Example room: "myRoom"

                      - example hls bucket: "HLS_S3_BUCKET"


                      Example 1:

                      - Template: `my-hls-{domain_name}-{epoch_time}`

                      - Resulting path of master.m3u8:
                      `s3://HLS_S3_BUCKET/my-hls-myDomain-1675842936274/master.m3u8`


                      Example 2:

                      - Template: `{room_name}/{instance_id}/`

                      - Resulting path of master.m3u8:
                      `myRoom/d529cd2f-fbcc-4fb7-b2c0-c4995b1162b6/master.m3u8`
                  hls_config['save_hls_recording']:
                    type: boolean
                    description: >-
                      If `true`, the live stream will be saved as a recording
                      after streaming has ended. If `false`, the stream is
                      available only until the streaming is live.
                  hls_config['variants']:
                    type: array
                    description: >-
                      An optional array of variants to generate for HLS. For
                      most use cases this property can be omitted as Daily uses
                      sensible defaults. The array defines the resolution, FPS,
                      and bitrate for each variant. The following limitations
                      apply: 

                      - There can be a maximum of one variant with 1080p
                      resolution. All other variants must be less than or equal
                      to 720p.

                      - A maximum of four variants can be specified, other than
                      iframe-only stream

                      - We do not support iframe-only variant, at least one
                      full-stream variant is required
                    items:
                      type: object
                      properties:
                        width:
                          type: number
                          description: 'Output width. Min: `32`. Max: `1920`.'
                        height:
                          type: number
                          description: >-
                            Output height. Min: `32`. Max: `1920`. For portrait
                            mode, the height can be greater than the width.
                        fps:
                          type: number
                          description: 'Output FPS. Min: `1`. Max: `30`.'
                        bitrate:
                          type: number
                          description: >-
                            Bitrate in kilobits per second (kbps). Min: `100`.
                            Max: `5000`.
                        iframe_only:
                          type: boolean
                          description: >-
                            Whether this variant is iframe-only. One iframe is
                            generated for each segment. If `true`, the `fps`
                            property is ignored.
            permissions:
              $ref: '#/components/schemas/permissions'
            sip_uri:
              type: object
              readOnly: true
              description: >-
                Read-only. The SIP URI(s) provisioned for this room after
                setting the `sip` property. Use `endpoint` (and
                `extra_endpoints` when `num_endpoints > 1`) to route inbound SIP
                calls to this room.
              properties:
                endpoint:
                  type: string
                  description: >-
                    The primary SIP URI for this room (e.g.
                    `my-room.0@daily-abc123.sip.signalwire.com`).
                extra_endpoints:
                  type: array
                  items:
                    type: string
                  description: Additional SIP URIs when `num_endpoints > 1`.
    enable_mesh_sfu:
      type: boolean
      description: >-
        Configures a room to use multiple SFUs for a call's media. This feature
        enables calls to scale to large sizes and to reduce latency between
        participants. It is recommended specifically for interactive live
        streaming.


        See our [guide for interactive live
        streaming](/guides/scaling-calls/interactive-live-streaming-rtmp-output#daily-prebuilt-configurations-to-support-100-000-participants)
        for additional instruction.
    sfu_switchover:
      type: number
      description: >-
        Dictates the participant count after which room topology automatically
        switches from Peer-to-Peer (P2P) to Selective Forwarding Unit (SFU)
        mode, or vice versa.


        For example, if `sfu_switchover` is set to `2` and the current network
        topology is P2P, the topology will switch to SFU mode when the _third_
        participant joins the call. If the current topology is SFU, it will
        switch to P2P mode when the participant count decreases from `2` to `1`.


        We recommend specifying an integer value for this property except for
        cases where you would like the room to switch to SFU mode as soon as the
        first participant joins. In this case, set `sfu_switchover` to `0.5`.


        See our [guide about video call
        architecture](/guides/architecture-and-monitoring/intro-to-video-arch#the-architecture-of-a-room-p2p-vs-sfu-calls)
        for additional information.
      default: 0.5
    enable_adaptive_simulcast:
      type: boolean
      description: >-
        Configures a domain or room to use [Daily Adaptive
        Bitrate](/guides/building-additional-features/daily-adaptive-bitrate).
        When enabled, along with configuring the client to
        [`allowAdaptiveLayers`](/products/daily-js/instance-methods/update-send-settings#sendsettings),
        the Daily client will continually adapt send settings to the current
        network conditions. `allowAdaptiveLayers` is `true` by default; if you
        haven't modified that setting, then setting `enable_adaptive_simulcast`
        to `true` will enable Daily Adaptive Bitrate for 1:1 calls.
      default: true
    enable_multiparty_adaptive_simulcast:
      type: boolean
      description: >-
        Configures a domain or room to use [Daily Adaptive
        Bitrate](/guides/building-additional-features/daily-adaptive-bitrate).
        When enabled, along with configuring the client to
        [`allowAdaptiveLayers`](/products/daily-js/instance-methods/update-send-settings#sendsettings),
        the Daily client will continually adapt send settings to the current
        network conditions. `allowAdaptiveLayers` is `true` by default; if you
        haven't modified that setting, then setting
        `enable_multiparty_adaptive_simulcast` to `true` will enable Daily
        Adaptive Bitrate for multi-party calls. To use this feature,
        `enable_adaptive_simulcast` must also be set to `true`.
      default: false
    enforce_unique_user_ids:
      type: boolean
      description: >-
        Configures a domain or room to disallow multiple participants from
        having the same `user_id`. This feature can be enabled to prevent users
        from "sharing" meeting tokens. When enabled, a participant joining or
        reconnecting to a meeting will cause existing participants with the same
        user_id to be ejected.
      default: false
    geo:
      type: string
      description: >-
        Daily uses signaling servers to manage all of the participants in a
        given call session. In an SFU/server mode call, the server will send and
        receive all audio and video from each participant. In a peer-to-peer
        call, each participant sends media directly to and from each other peer,
        but a signaling server still manages call state.


        Daily runs servers in several different AWS regions to minimize latency
        for users around the world. The job of 'picking' a call server is
        handled when the first participant joins a room. The first participant's
        browser connects to a call server using Amazon's Route 53 DNS
        resolution, which chooses a server in the region closest to them.


        This isn't always optimal. For example, if one person joins in London,
        and then ten more people join from Cape Town, the call will still be
        hosted out of `eu-west-2` . The majority of the participants will have
        higher latency to the server than if one of them had joined first and
        the call was being hosted in `af-south-1`. In cases like this, you may
        want to configure your domain (or a specific room) to always choose a
        call server in a specific AWS region.


        Available regions:

        - `"af-south-1"` (Cape Town)

        - `"ap-northeast-2"` (Seoul)

        - `"ap-southeast-1"` (Singapore)

        - `"ap-southeast-2"` (Sydney)

        - `"ap-south-1"` (Mumbai)

        - `"eu-central-1"` (Frankfurt)

        - `"eu-west-2"` (London)

        - `"sa-east-1"` (São Paulo)

        - `"us-east-1"` (N. Virginia)

        - `"us-west-2"` (Oregon)
      default: 'NULL'
    rtmp_geo:
      type: string
      default: The closest available region to the SFU region used by the meeting.
      description: >-
        Used to select the region where an RTMP stream should originate. In
        cases where RTMP streaming services aren't available in the desired
        region, we'll attempt to fall back to the default region based on the
        SFU being used for the meeting.

          Available regions:
          - `"us-west-2"` (Oregon)
          - `"eu-central-1"` (Frankfurt)
          - `"ap-south-1"` (Mumbai)

          The default regions are grouped based on the SFU region like so:
          - RTMP region `"us-west-2"` includes SFU regions: `"us-west-2"`, `"us-east-1"`, `"sa-east-1"`
          - RTMP region `"eu-central-1"` includes SFU regions: `"eu-central-1"`, `"eu-west-2"`, `"af-south-1"`
          - RTMP region `"ap-south-1"` includes SFU regions: `"ap-southeast-1"`, `"ap-southeast-2"`, `"ap-northeast-2"`, `"ap-south-1"`
    disable_rtmp_geo_fallback:
      type: boolean
      default: false
      description: >-
        Disable the fall back behavior of rtmp_geo. When rtmp_geo is set, we
        first try to connect to a media server in desired region. If a media
        server is not available in the desired region, we fall back to default
        region based on SFU's region. This property disables this automatic fall
        back.

        When this property is set, we will trigger a recording/streaming error
        event when media worker is unavailable. Also, the client should retry
        recording/streaming.
    recordings_bucket:
      type: object
      description: >-
        Configures an S3 bucket in which to store recordings.

        See the [S3 bucket
        guide](/guides/products/live-streaming-recording/storing-recordings-in-a-custom-s3-bucket)
        for more information.


        Properties:
      properties:
        bucket_name:
          type: string
          description: The name of the Amazon S3 bucket to use for recording storage.
          example: my-daily-recording
        bucket_region:
          type: string
          description: The region which the specified S3 bucket is located in.
          example: ap-south-1
        assume_role_arn:
          type: string
          description: >-
            The Amazon Resource Name (ARN) of the role Daily should assume when
            storing the recording in the specified bucket.
          example: arn:aws:iam::555555555555:role/DailyS3AccessRole
        allow_api_access:
          type: boolean
          description: Controls whether the recording will be accessible using Daily's API.
        allow_streaming_from_bucket:
          type: boolean
          description: >-
            Specifies which
            [`Content-Disposition`](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Content-Disposition)
            response header the recording link retrieved from the
            [access-link](/products/rest-api/recordings/get-recording-link) REST
            API endpoint will have. If `allow_streaming_from_bucket` is `false`,
            the header will be `Content-Dispostion: attachment`. If
            `allow_streaming_from_bucket` is `true`, the header will be
            `Content-Disposition: inline`.

            To play the recording link directly in the browser or embed it in a
            video player, set this property to `true`. Defaults to `false`
    enable_terse_logging:
      type: boolean
      description: >-
        Reduces the volume of log messages. This feature should be enabled when
        there are more than 200 participants in a meeting to help improve
        performance.


        See our [guides for supporting large experiences](/guides/scaling-calls)
        for additional instruction.
      default: false
    auto_transcription_settings:
      type: object
      example:
        language: de
      x-paidPlan: paid
      description: >-
        Options to use when `auto_start_transcription` is true. See
        [`startTranscription()`](/products/daily-js/instance-methods/start-transcription)
        for available options.
    enable_transcription_storage:
      type: boolean
      description: >-
        Live transcriptions generated can be saved as WebVTT. This flag controls
        if transcription started with
        [`startTranscription()`](/products/daily-js/instance-methods/start-transcription)
        should be saved or not.
      default: false
    transcription_bucket:
      type: object
      description: >-
        Configures an S3 bucket in which to store transcriptions.

        See the [S3 bucket
        guide](/guides/products/live-streaming-recording/storing-recordings-in-a-custom-s3-bucket)
        for more information.
      properties:
        bucket_name:
          type: string
          description: The name of the Amazon S3 bucket to use for transcription storage.
          example: my-daily-recording
        bucket_region:
          type: string
          description: The region which the specified S3 bucket is located in.
          example: ap-south-1
        assume_role_arn:
          type: string
          description: >-
            The Amazon Resource Name (ARN) of the role Daily should assume when
            storing the transcription in the specified bucket.
          example: arn:aws:iam::555555555555:role/DailyS3AccessRole
        allow_api_access:
          type: boolean
          description: Whether the transcription should be accessible using Daily's API.
    recordings_template:
      type: string
      default: '{domain_name}/{room_name}/{epoch_time}.'
      description: >-
        Cloud recordings are stored in either Daily's S3 bucket or the
        customer's own S3 bucket. By default recordings are stored as
        `{domain_name}/{room_name}/{epoch_time}`. Sometimes, the use case may
        call for custom recording file names to be used (for example, if you'd
        like to enforce the presence of the .mp4 extension in the file name).


        `recordings_template` is made up of a replacement string with prefixes,
        suffixes, or both. The currently supported replacements are:
          - `epoch_time`: The epoch time in milliseconds (mandatory)
          - `domain_name`: Your Daily domain (optional)
          - `room_name`: The name of the room which is getting recorded (optional)
          - `mtg_session_id`: The ID of the meeting session which is getting recorded (optional)
          - `instance_id`: The instance ID of the recording (optional)
          - `recording_id`: The recording ID of the recording (optional)

          The restrictions for defining a recording template are as follows:
          - The `epoch_time` tag is mandatory to ensure the recording file name is unique under all conditions
          - The maximum size of the template is 1024 characters
          - Each replacement parameter should be placed within a curly bracket (e.g., `{domain_name}`)
          - Only alphanumeric characters `(0-9, A-Z, a-z)` and `.`, `/`, `-`, `_` are valid within the template
          - `.mp4` is the only valid extension

        Examples

        - Example domain: "myDomain"

        - Example room: "myRoom"


        Example 1:

        - Template: `myprefix-{domain_name}-{epoch_time}.mp4`

        - Resulting file name: `myprefix-myDomain-1675842936274.mp4`


        Example 2:

        - Template: `{room_name}/{instance_id}/{epoch_time}`

        - Resulting room name:
        `myRoom/d529cd2f-fbcc-4fb7-b2c0-c4995b1162b6/1675842936274`
    transcription_template:
      type: string
      default: '{domain_name}/{room_name}/{epoch_time}.vtt.'
      description: >-
        transcriptions can be stored in either Daily's S3 bucket or the
        customer's own S3 bucket. By default transcriptions are stored as
        `{domain_name}/{room_name}/{epoch_time}.vtt`. Sometimes, the use case
        may call for custom file path to be used (for example, if you'd like to
        map stored transcription to mtgSessionId).


        `transcription_template` is made up of a replacement string with
        prefixes, suffixes, or both. The currently supported replacements are:
          - `epoch_time`: The epoch time in seconds (mandatory)
          - `domain_name`: Your Daily domain (optional)
          - `room_name`: The name of the room which is getting transcribed (optional)
          - `mtg_session_id`: The ID of the meeting session which is getting transcribed (optional)
          - `instance_id`: The instance ID of the transcription (optional)
          - `transcript_id`: The transcript ID of the transcription (optional)

          The restrictions for defining a transcription template are as follows:
          - The `epoch_time` tag is mandatory to ensure the transcription file name is unique under all conditions
          - The maximum size of the template is 1024 characters
          - Each replacement parameter should be placed within a curly bracket (e.g., `{domain_name}`)
          - Only alphanumeric characters `(0-9, A-Z, a-z)` and `.`, `/`, `-`, `_` are valid within the template

        Examples

        - Example domain: "myDomain"

        - Example room: "myRoom"


        Example 1:

        - Template: `myprefix-{domain_name}-{epoch_time}.mp4`

        - Resulting file name: `myprefix-myDomain-1675842936274.mp4`


        Example 2:

        - Template: `{room_name}/{instance_id}/{epoch_time}`

        - Resulting room name:
        `myRoom/d529cd2f-fbcc-4fb7-b2c0-c4995b1162b6/1675842936274`
    permissions:
      type: object
      description: >-
        Specifies the initial default permissions for a
        non-[meeting-owner](/guides/configurations-and-settings/controlling-who-joins-a-meeting#meeting-owner-privileges)
        participant joining a call.


        Each permission (i.e. each of the properties listed below) can be
        configured in the meeting token, the room, and/or the domain, in
        decreasing order of precedence.


        Participant admins (those with the `'participants'` value in their
        `canAdmin` permission) can also change participants' permissions on the
        fly during a call using
        [`updateParticipant()`](/products/daily-js/instance-methods/update-participant#param-update-permissions)
        or
        [`updateParticipants()`](/products/daily-js/instance-methods/update-participants).
      properties:
        hasPresence:
          type: boolean
          description: >-
            Whether the participant appears as "present" in the call, i.e.
            whether they appear in
            [`participants()`](/products/daily-js/instance-methods/participants).
        canSend:
          oneOf:
            - type: boolean
            - type: array
              items:
                type: string
          description: >-
            Which types of media a participant should be permitted to send.


            Can be:

            - An Array containing any of `'video'`, `'audio'`, `'screenVideo'`,
            and `'screenAudio'`

            - `true` (meaning "all")

            - `false` (meaning "none")
        canReceive:
          type: object
          description: >-
            Which media the participant should be permitted to receive. 


            [See here for `canReceive` object
            format](/products/daily-js/instance-methods/participants#permissionscanreceive-properties).
        canAdmin:
          oneOf:
            - type: boolean
            - type: array
              items:
                type: string
          description: >-
            Which admin tasks a participant is permitted to do.


            Can be:

            - An array containing any of `'participants'`, `'streaming'`, or
            `'transcription'`

            - `true` (meaning "all")

            - `false` (meaning "none")
  responses:
    '400':
      description: '400'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              info:
                type: string
          examples:
            Result:
              value:
                error: invalid-request-error
                info: missing required field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````